%define _prefix		/usr
%define _version2	0.9.5
%define _version_art	0.9.4

Name:		griffith
Summary:	Griffith is a film collection manager application
Version:	0.9.5
Release:	%mkrel 1
License:	GPL
Group:		Databases
URL:		http://griffith.vasconunes.net/
Source:		%{name}-%{_version2}.tar.bz2
Source1:	%{name}-extra-artwork-%{_version_art}.tar.bz2
Patch:		%{name}-desktop-file.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	python-chardet
Requires:	python-imaging
Requires:	python-reportlab >= 1.19
Requires:	python-sqlite2
Requires:	python-sqlalchemy
Requires:	python-pyxml
Requires:	pygtk2.0-libglade
BuildRequires:	docbook-utils
BuildRequires:	python-devel python

%description
Griffith is a film collection manager application. Adding items to the movie
collection is as quick and easy as typing the film title and selecting a
supported source. Griffith will then try to fetch all the related information
from the Web.

%prep
%setup -q -n %{name}-%{_version2} -a 1
%patch0
mv %{name}-extra-artwork-%{_version_art} extra-artwork


%build

%install



%makeinstall_std

rm -f %{buildroot}%{_bindir}/%{name}
(
cd %{buildroot}%{_bindir}
ln -s ../share/%{name}/lib/%{name} .
)

# extra-artwork
(
cd extra-artwork
%__install -m 644 images/* \
	%{buildroot}%{_datadir}/%{name}/images
for i in AUTHORS ChangeLog COPYING; do
	%__mv $i $i.extra-artwork
done
)

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 data/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps

%__install -m 644 data/%{name}.desktop \
	%{buildroot}%{_datadir}/applications

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README INSTALL NEWS TODO
%doc extra-artwork/*.extra-artwork
%{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lib
%{_datadir}/%{name}/lib/%{name}
%{_datadir}/%{name}/lib/*.py
%dir %{_datadir}/%{name}/lib/plugins
%{_datadir}/%{name}/lib/plugins/*.py
%dir %{_datadir}/%{name}/lib/plugins/export
%{_datadir}/%{name}/lib/plugins/export/*.py
%dir %{_datadir}/%{name}/lib/plugins/imp
%{_datadir}/%{name}/lib/plugins/imp/*.py
%dir %{_datadir}/%{name}/lib/plugins/movie
%{_datadir}/%{name}/lib/plugins/movie/*.py
%dir %{_datadir}/%{name}/glade
%{_datadir}/%{name}/glade/*
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*
%dir %{_datadir}/%{name}/export_templates
%{_datadir}/%{name}/export_templates/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/man/man1/griffith.1.lzma
%{_datadir}/man/pl/man1/griffith.1.lzma
%{_datadir}/man/pt/man1/griffith.1.lzma

%changelog
* Mon Oct 22 2007 Doktor5000 <rpm@mandrivauser.de> 0.9.5-1mud2008.0
- new version 0.9.5
- rebuild for Mandrivalinux 2008.0

* Wed Mar 28 2007 Doktor5000 <rpm@mandrivauser.de> 0.9.2-1mud2007.0
- initial package for mandriva 2007.0
